# The SensitiveParameterValue class

(PHP 8 >= 8.2.0)

## 简介

The SensitiveParameterValue class allows wrapping sensitive values to protect them against accidental exposure.

Values of parameters having the SensitiveParameter attribute will automatically be wrapped inside of a SensitiveParameterValue object within stack traces.

## 类摘要

final class SensitiveParameterValue {
/* 属性 */
private readonly mixed $value;
/* 方法 */
public __construct(mixed `$value`)
public __debugInfo(): array
public getValue(): mixed
}

## 属性

value

  The sensitive value to be protected against accidental exposure.

## 目录

- SensitiveParameterValue::__construct — Constructs a new SensitiveParameterValue object
- SensitiveParameterValue::__debugInfo — Protects the sensitive value against accidental exposure
- SensitiveParameterValue::getValue — Returns the sensitive value

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open